Page MenuHomePhabricator

Write and send pre-release Announcements for MediaWiki 1.27.6/1.30.2/1.31.2/1.32.2
Closed, ResolvedPublic

Description

Previous T199023

Hi all,

Tomorrow we will be issuing a security and maintenance release to all
supported branches of MediaWiki.

The new releases will be:
1.32.2
1.31.2
1.30.2
1.27.6

This will resolve 12 issues in MediaWiki core, and also includes some
previously committed to git minor security and hardening patches.

Fixes will be available in these respective release branches,
and also master. Tarballs will be available for the above mentioned
point releases as well.

1.30 was due to be previously announced as end of life [1], and as
such 1.30.2 will be the final security and maintenance release
barring any unforeseen issues.

1.27.6 will also be the final release for 1.27 (barring any unforeseen
issues), which is scheduled to become end of life in June 2019 [1].

This security release includes fixes for MediaWiki core.

[1] https://www.mediawiki.org/wiki/Version_lifecycle

Event Timeline

Reedy created this task.Sep 20 2018, 9:57 PM
Reedy created this object with visibility "Custom Policy".
Reedy renamed this task from Write and send pre-release Announcements for MediaWiki 1.27.6/1.30.2/1.31.2 to Write and send pre-release Announcements for MediaWiki 1.27.6/1.30.2/1.31.2/1.32.1.Feb 13 2019, 2:24 AM
Reedy renamed this task from Write and send pre-release Announcements for MediaWiki 1.27.6/1.30.2/1.31.2/1.32.1 to Write and send pre-release Announcements for MediaWiki 1.27.6/1.30.2/1.31.2/1.32.2.Apr 30 2019, 6:30 PM
Reedy updated the task description. (Show Details)May 28 2019, 9:48 PM
Reedy updated the task description. (Show Details)
Reedy updated the task description. (Show Details)May 28 2019, 9:50 PM
Reedy updated the task description. (Show Details)May 29 2019, 12:17 AM
Reedy updated the task description. (Show Details)Jun 3 2019, 3:46 PM
Reedy updated the task description. (Show Details)Jun 4 2019, 12:19 AM
Reedy closed this task as Resolved.Jun 5 2019, 3:52 PM
Reedy claimed this task.
Reedy changed the visibility from "Custom Policy" to "Public (No Login Required)".